# $Revision: 1.35.2.15 $, $Date: 2008/11/10 23:20:40 $
Summary:	RPM installer/updater
Summary(pl.UTF-8):	Narzędzie do instalowania/uaktualniania pakietów RPM
Name:		yum
Version:	3.2.20
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://yum.baseurl.org/download/3.2/%{name}-%{version}.tar.gz
# Source0-md5:	1e38412df913b67c306bc4dc2e7c20dd
Source1:	%{name}-pld-source.repo
Source2:	%{name}-updatesd.init
Source3:	%{name}-updatesd.sysconfig
Patch0:		%{name}-missingok.patch
Patch1:		%{name}-obsoletes.patch
# from util-vserver-*/contrib/
Patch2:		%{name}-chroot.patch
Patch3:		%{name}-amd64.patch
URL:		http://yum.baseurl.org/
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.228
Requires:	python
Requires:	python-cElementTree
Requires:	python-iniparse
Requires:	python-libxml2
Requires:	python-pygpgme
Requires:	python-rpm
Requires:	python-sqlite
Requires:	python-urlgrabber
Requires:	rpm
Requires:	yum-metadata-parser
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no arch dependant binary payloads
%define		_enable_debug_packages	0

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded
automatically prompting the user as necessary.

%description -l pl.UTF-8
Yum to narzędzie sprawdzające i automatycznie ściągające i instalujące
uaktualnione pakiety RPM. Zależności są ściągane automatycznie po
zapytaniu użytkownika w razie potrzeby.

%package updatesd
Summary:	RPM update notifier daemon
Summary(pl.UTF-8):	Demon powiadamiający o uaktualnionych RPM-ach
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	dbus
Requires:	python-dbus
Requires:	rc-scripts

%description updatesd
This is a daemon which periodically checks for updates and can send
notifications via mail, dbus or syslog.

%description updatesd -l pl.UTF-8
Ten pakiet zawiera demona regularnie sprawdzającego dostępność
uaktualnień, mogącego wysyłać uaktualnienia pocztą elektroniczną,
poprzez dbus lub sysloga.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d,sysconfig,yum/pluginconf.d},%{_libdir}/yum-plugins,%{_datadir}/yum-plugins}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PYLIBDIR=%{py_sitescriptdir}/..
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum/repos.d/pld.repo
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/yum-updatesd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/yum-updatesd

%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# migrate to new dir. having two dirs is really confusing
if [ -d %{_sysconfdir}/yum.repos.d ]; then
	echo >&2 "Migrating %{_sysconfdir}/yum.repos.d to %{_sysconfdir}/yum/repos.d"
	mkdir -p %{_sysconfdir}/yum/repos.d
	for a in %{_sysconfdir}/yum.repos.d/*; do
		if [ -f "$a" ]; then
			mv -vf $a %{_sysconfdir}/yum/repos.d/${a##*/}
		fi
	done
	rm -rf %{_sysconfdir}/yum.repos.d
fi

%post updatesd
/sbin/chkconfig --add yum-updatesd
%service yum-updatesd restart

%preun updatesd
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del yum-updatesd
	%service -q yum-updatesd stop
fi

%triggerpostun -- %{name} < 3.2.12-3
if [ -f %{_sysconfdir}/yum/repos.d/pld-source.repo.rpmsave ]; then
	cp -f %{_sysconfdir}/yum/repos.d/pld.repo{,.rpmnew}
	mv -f %{_sysconfdir}/yum/repos.d/{pld-source.repo.rpmsave,pld.repo}
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS TODO INSTALL ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yum/yum.conf
%dir %{_sysconfdir}/yum
%dir %{_sysconfdir}/yum/repos.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yum/repos.d/*.repo
%dir %{_sysconfdir}/yum/pluginconf.d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}

%attr(755,root,root) %{_bindir}/yum
%dir %{py_sitescriptdir}/yum
%dir %{py_sitescriptdir}/rpmUtils
%{_libdir}/yum-plugins
%{_datadir}/yum-plugins
%{py_sitescriptdir}/*/*.py[co]
%{_datadir}/yum-cli
/var/cache/yum
%{_mandir}/man*/*

%files updatesd
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yum/yum-updatesd.conf
/etc/dbus-1/system.d/yum-updatesd.conf
%attr(755,root,root) %{_sbindir}/yum-updatesd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/yum-updatesd
%attr(754,root,root) /etc/rc.d/init.d/yum-updatesd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yum.spec,v $
Revision 1.35.2.15  2008/11/10 23:20:40  glen
- R: iniparse module; rel 2

Revision 1.35.2.14  2008/11/10 19:44:45  glen
- merge update to 3.2.20 from HEAD

Revision 1.35.2.13  2008-04-26 00:17:07  glen
- update to 3.2.14

Revision 1.35.2.12  2008-04-25 22:37:51  glen
- update to from HEAD

Revision 1.35.2.11  2008-04-02 21:16:42  glen
- rename pld-source.repo to pld.repo; rel 3

Revision 1.35.2.10  2007-12-17 17:21:10  glen
- -pl merge from HEAD

Revision 1.35.2.9  2007-12-17 17:19:37  glen
- add service config for yum-updatesd

Revision 1.35.2.8  2007-12-17 09:11:29  glen
- migrate yum.repos.d to yum/repos.d

Revision 1.35.2.7  2007-12-17 08:40:57  glen
- python-sqlite1 is yum-metadata-parser dep (patrys correct me)

Revision 1.35.2.6  2007-12-17 08:40:12  glen
- more deps for yum-updatesd, separate package for yum-updatesd
- yum-metadata-parser dep on base pkg

Revision 1.35.2.5  2007-12-17 08:21:01  glen
- merge update to 3.2.8 from HEAD

Revision 1.35.2.4  2007-12-17 08:06:53  glen
- add -obsoletes patch from HEAD

Revision 1.35.2.3  2007-11-14 09:46:17  hawk
- updated to 3.2.6, chroot patch is back (for vservers)

Revision 1.35.2.2  2007-05-31 11:05:17  glen
- fix amd64 $arch
- contains %{_libdir} -> not noarch
- make *.repo config files

Revision 1.35.2.1  2007/05/31 10:52:15  glen
- rel 3

Revision 1.35  2007/05/31 06:36:05  glen
- R: python-cElementTree

Revision 1.34  2007/05/31 06:24:47  glen
- rel 2

Revision 1.33  2007/05/30 10:27:15  patrys
- add PLD repo config

Revision 1.32  2007/05/28 13:43:53  czarny
- %{_datadir}/yum-plugins for noarch plugins
- R: python-sqlite1 for repos created with createrepo

Revision 1.31  2007/05/27 18:40:06  qboosh
- removed COPYING from doc (just GPL)

Revision 1.30  2007/05/26 19:18:03  patrys
- understand MISSINGOK rpm flag
- together with patched createrepo allows us to use Suggests and Enhances

Revision 1.29  2007/05/24 09:03:04  patrys
- more dirs needed

Revision 1.28  2007/05/23 12:07:09  patrys
- 3.2.0

Revision 1.27  2007/05/23 11:48:33  patrys
- make it work with python 2.5

Revision 1.26  2007/05/23 11:34:37  patrys
- fixed R and rel

Revision 1.25  2007/05/23 11:26:55  patrys
- 3.0.1

Revision 1.24  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.22  2007/01/31 17:53:28  glen
- add add /etc/yum.repos.d as %dir; rel 2

Revision 1.21  2006/10/03 22:31:32  aredridel
- add /etc/yum as %dir

Revision 1.20  2006/05/18 18:10:07  glen
- rel 1

Revision 1.19  2006/05/16 19:17:05  glen
- 2.6.1

Revision 1.18  2006/03/04 19:21:20  glen
- require python-cElementTree with fixed deps instead

Revision 1.17  2006/03/04 04:32:51  aredridel
- depend on python-elementtree, not python-cElementTree

Revision 1.16  2005/10/22 22:42:42  glen
- updated to 2.4.0

Revision 1.15  2005/10/22 21:34:40  glen
- cron.daily contains scripts

Revision 1.14  2005/10/22 21:28:40  glen
- %py_postclean to kill .py sources

Revision 1.13  2005/10/22 21:25:29  glen
- add %service restart, fix chkconfig dep

Revision 1.12  2005/10/22 21:24:04  glen
- adapterized

Revision 1.11  2005/10/22 21:23:04  glen
- add md5, drop old changelog

Revision 1.10  2005/07/07 05:11:10  aredridel
- add chroot patch

Revision 1.9  2005/07/06 21:36:31  aredridel
- actually make that work

Revision 1.8  2005/07/06 21:29:11  aredridel
- install in py_sitescriptdir, fix amd64

Revision 1.7  2005/07/06 20:45:11  aredridel
- up to 2.2.2

Revision 1.6  2004/09/29 16:35:15  kolodko
- added macros in /etc/logrotate.d

Revision 1.5  2004/09/10 21:36:50  dzeus
- updated to 2.0.8

Revision 1.4  2004/07/07 08:26:50  aredridel
- br: gettext-devel
- fix location of init script

Revision 1.3  2004/06/27 12:11:16  qboosh
- pl, some cleanups

Revision 1.2  2004/06/26 22:59:44  aredridel
- added Requires: python-rpm

Revision 1.1  2004/06/26 21:18:05  aredridel
- added
